org.apache.maven.plugin

## Class MojoExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.plugin.AbstractMojoExecutionException
      - - org.apache.maven.plugin.MojoExecutionException

All Implemented Interfaces:
  java.io.Serializable

    public class MojoExecutionException
    extends AbstractMojoExecutionException

An exception occuring during the execution of a plugin.
Throwing this exception causes a "BUILD ERROR" message to be displayed.

Version:
  $Id: MojoExecutionException.java 640545 2008-03-24 19:50:56Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

`longMessage, source`

### Constructor Summary

Constructors
Constructor and Description
`MojoExecutionException(java.lang.Object source, java.lang.String shortMessage, java.lang.String longMessage)` Construct a new `MojoExecutionException` exception providing the source and a short and long message.
`MojoExecutionException(java.lang.String message)` Construct a new `MojoExecutionException` exception providing a `message`.
`MojoExecutionException(java.lang.String message, java.lang.Exception cause)` Construct a new `MojoExecutionException` exception wrapping an underlying `Exception` and providing a `message`.
`MojoExecutionException(java.lang.String message, java.lang.Throwable cause)` Construct a new `MojoExecutionException` exception wrapping an underlying `Throwable` and providing a `message`.

### Method Summary

### Methods inherited from class org.apache.maven.plugin.AbstractMojoExecutionException

`getLongMessage, getSource`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MojoExecutionException

    public MojoExecutionException(java.lang.Object source,
                          java.lang.String shortMessage,
                          java.lang.String longMessage)

Construct a new `MojoExecutionException` exception providing the source and a short and long message.

Parameters:
  `source` -
  `shortMessage` -
  `longMessage` -

#### MojoExecutionException

    public MojoExecutionException(java.lang.String message,
                          java.lang.Exception cause)

Construct a new `MojoExecutionException` exception wrapping an underlying `Exception` and providing a `message`.

Parameters:
  `message` -
  `cause` -

#### MojoExecutionException

    public MojoExecutionException(java.lang.String message,
                          java.lang.Throwable cause)

Construct a new `MojoExecutionException` exception wrapping an underlying `Throwable` and providing a `message`.

Parameters:
  `message` -
  `cause` -

#### MojoExecutionException

    public MojoExecutionException(java.lang.String message)

Construct a new `MojoExecutionException` exception providing a `message`.

Parameters:
  `message` -